## ros-image-common 1.12.1

=== camera_calibration_parsers/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(camera_calibration_parsers)

find_package(catkin REQUIRED sensor_msgs rosconsole roscpp roscpp_serialization)

find_package(PythonLibs REQUIRED)
find_package(Boost REQUIRED COMPONENTS filesystem python)
include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${PYTHON_INCLUDE_DIRS})

catkin_python_setup()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS sensor_msgs
)

find_package(yaml-cpp)
add_definitions(-DHAVE_NEW_YAMLCPP)
link_directories(${YAML_CPP_LIBRARY_DIRS})
include_directories(${YAML_CPP_INCLUDE_DIRS})

# define the library
add_library(${PROJECT_NAME}
  src/parse.cpp
  src/parse_ini.cpp
  src/parse_yml.cpp
)

add_library(${PROJECT_NAME}_wrapper
  src/parse_wrapper.cpp)

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${YAML_CPP_LIBRARIES} ${Boost_FILESYSTEM_LIBRARY})
target_link_libraries(${PROJECT_NAME}_wrapper ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})

# Don't prepend wrapper library name with lib and add to Python libs.
set_target_properties(${PROJECT_NAME}_wrapper PROPERTIES
        PREFIX ""
        LIBRARY_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}
        )

add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})

install(
  TARGETS ${PROJECT_NAME}
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  COMPONENT main
)
install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# define the exe to convert
add_executable(convert src/convert.cpp)
target_link_libraries(convert ${PROJECT_NAME} ${rosconsole_LIBRARIES})

install(
  TARGETS convert
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(TARGETS ${PROJECT_NAME}_wrapper
  DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

=== camera_info_manager/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(camera_info_manager)

find_package(catkin REQUIRED COMPONENTS camera_calibration_parsers image_transport roscpp roslib sensor_msgs)

find_package(Boost)
catkin_package(INCLUDE_DIRS include
               LIBRARIES ${PROJECT_NAME}
               CATKIN_DEPENDS camera_calibration_parsers
               DEPENDS Boost roscpp sensor_msgs
)

include_directories(include)
include_directories(${catkin_INCLUDE_DIRS})

# add a library
add_library(${PROJECT_NAME} src/camera_info_manager.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
        COMPONENT main
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest)
  # Unit test uses gtest, but needs rostest to create a ROS environment.
  # Hence, it must be created as a normal executable, not using
  # catkin_add_gtest() which runs an additional test without rostest.
  add_executable(unit_test tests/unit_test.cpp)
  target_link_libraries(unit_test ${PROJECT_NAME} ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

  add_rostest(tests/unit_test.test DEPENDENCIES unit_test)
endif()

=== image_common/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(image_common)
find_package(catkin REQUIRED)
catkin_metapackage()

=== image_transport/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(image_transport)

find_package(catkin REQUIRED
  COMPONENTS
    message_filters
    pluginlib
    rosconsole
    roscpp
    roslib
    sensor_msgs
)

find_package(Boost REQUIRED COMPONENTS filesystem)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  DEPENDS message_filters pluginlib rosconsole roscpp roslib sensor_msgs
)

include_directories(include ${catkin_INCLUDE_DIRS})

# Build libimage_transport
add_library(${PROJECT_NAME}
  src/camera_common.cpp
  src/camera_publisher.cpp
  src/camera_subscriber.cpp
  src/image_transport.cpp
  src/publisher.cpp
  src/single_subscriber_publisher.cpp
  src/subscriber.cpp
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
)

# Build libimage_transport_plugins
add_library(${PROJECT_NAME}_plugins src/manifest.cpp src/raw_publisher.cpp)
target_link_libraries(${PROJECT_NAME}_plugins ${PROJECT_NAME})

# Install plugin DLL to ${CATKIN_PACKAGE_LIB_DESTINATION} according to the path in default_plugins.xml
install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_plugins
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        COMPONENT main
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# add two execs
add_executable(republish src/republish.cpp)
target_link_libraries(republish ${PROJECT_NAME})

add_executable(list_transports src/list_transports.cpp)
target_link_libraries(list_transports
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

install(TARGETS list_transports republish
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# add xml file
install(FILES default_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== polled_camera/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(polled_camera)

# generate the server
find_package(catkin REQUIRED COMPONENTS image_transport message_generation roscpp sensor_msgs std_msgs)

add_service_files(DIRECTORY srv FILES GetPolledImage.srv)

generate_messages(DEPENDENCIES sensor_msgs std_msgs)

# define the project
catkin_package(CATKIN_DEPENDS image_transport message_runtime roscpp sensor_msgs std_msgs
               INCLUDE_DIRS include
               LIBRARIES ${PROJECT_NAME}
)


# create some library and exe
include_directories(include
                    ${catkin_INCLUDE_DIRS} 
                    ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}
)

add_library(${PROJECT_NAME} src/publication_server.cpp)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

add_executable(poller src/poller.cpp)
add_dependencies(poller ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})
target_link_libraries(poller ${PROJECT_NAME}
                             ${catkin_LIBRARIES}
)

install(TARGETS poller
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== camera_calibration_parsers/test/CMakeLists.txt ===
file(COPY calib5.ini calib8.ini DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/test)

catkin_add_nosetests(parser.py)

=== image_transport/tutorial/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(image_transport_tutorial)

find_package(catkin REQUIRED COMPONENTS cv_bridge image_transport message_generation sensor_msgs)

# add the resized image message
add_message_files(DIRECTORY msg
   FILES ResizedImage.msg
)
generate_messages(DEPENDENCIES sensor_msgs)

catkin_package(CATKIN_DEPENDS cv_bridge image_transport message_runtime sensor_msgs)

find_package(OpenCV)

include_directories(include ${catkin_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS})

# add the publisher example
add_executable(my_publisher src/my_publisher.cpp)
add_dependencies(my_publisher ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})
target_link_libraries(my_publisher ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

# add the subscriber example
add_executable(my_subscriber src/my_subscriber.cpp)
add_dependencies(my_subscriber ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})
target_link_libraries(my_subscriber ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

# add the plugin example
add_library(resized_publisher src/manifest.cpp src/resized_publisher.cpp src/resized_subscriber.cpp)
add_dependencies(resized_publisher ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})
target_link_libraries(resized_publisher ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})


# Mark executables and/or libraries for installation
install(TARGETS my_publisher my_subscriber resized_publisher
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES resized_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-image-common (1.12.1-1) unstable; urgency=medium

  * New upstream version 1.12.1
  * Update patches.
    - Merged: 0004-Switch-to-new-boost-bind-bind.hpp.patch
    - Merged: 0005-Switch-to-hpp-headers-of-pluginlib.patch
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2
  * Do not modify source directory in test suite (Closes: #1045677)

 -- Timo Röhling <roehling@debian.org>  Mon, 22 Sep 2025 11:45:32 +0200

ros-image-common (1.12.0-14) unstable; urgency=medium

  * Migrate to dh-ros

 -- Timo Röhling <roehling@debian.org>  Sat, 05 Oct 2024 01:23:41 +0200

ros-image-common (1.12.0-13) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Timo Röhling ]
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.0
  * Properly restrict d/watch to ROS 1 versions
  * Add myself to uploaders
  * Enable all hardening options

 -- Timo Röhling <roehling@debian.org>  Tue, 01 Oct 2024 22:22:36 +0200

ros-image-common (1.12.0-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062866

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 23:04:06 +0000

ros-image-common (1.12.0-12) unstable; urgency=medium

  * Drop nose dependency (Closes: #1018627)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Aug 2022 14:44:21 +0200

ros-image-common (1.12.0-11) unstable; urgency=medium

  * Add patch for new pluginlib

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 08 Jul 2022 12:41:21 +0200

ros-image-common (1.12.0-10) unstable; urgency=medium

  * Add patch for new pluginlib
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Jun 2022 13:02:05 +0200

=== debian/control ===
Source: ros-image-common
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-ros (>= 0.14.0~),
 dh-sequence-python3,
 dpkg-dev (>= 1.22.5),
 catkin (>= 0.8.10-1~),
 libboost-filesystem-dev,
 libboost-python-dev,
 libgtest-dev,
 libmessage-filters-dev,
 libpython3-all-dev,
 librosconsole-dev,
 libroscpp-dev,
 libroslib-dev,
 librostest-dev,
 libsensor-msgs-dev,
 libstd-msgs-dev,
 libyaml-cpp-dev,
 pluginlib-dev,
 python3-all,
 python3-rostest <!nocheck>,
 python3-sensor-msgs <!nocheck>,
 ros-message-generation,
 ros-sensor-msgs,
 ros-std-msgs,
 rosbash <!nocheck>,
 rospack-tools <!nocheck>,
Standards-Version: 4.7.2
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/image_common
Vcs-Browser: https://salsa.debian.org/science-team/ros-image-common
Vcs-Git: https://salsa.debian.org/science-team/ros-image-common.git

Package: libcamera-calibration-parsers-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-filesystem-dev,
 libcamera-calibration-parsers0t64 (= ${binary:Version}),
 librosconsole-dev,
 libsensor-msgs-dev,
 ${misc:Depends},
Description: Robot OS camera_calibration_parsers package - development
 This package is part of Robot OS (ROS). It contains C++ headers for
 reading and writing camera calibration parameters.

Package: camera-calibration-parsers-tools
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Robot OS camera_calibration_parsers_tools package
 This package is part of Robot OS (ROS). It provides tools for
 reading and writing camera calibration parameters.
 .
 They are executables that use libcamera-calibration-parsers.

Package: cl-polled-camera
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Robot OS polled_camera package - LISP
 This package is part of Robot OS (ROS). It contains a LISP interface
 for implementing a polled camera driver node and requesting images
 from it. The package is currently for internal use as the API is
 still under development.

Package: image-transport-tools
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Robot OS image_transport package tools
 This package is part of Robot OS (ROS). This library should always be
 used to subscribe to and publish images. It (image_transport)
 provides transparent support for transporting images in low-bandwidth
 compressed formats. Examples (provided by separate plugin packages)
 include JPEG/PNG compression and Theora streaming video.
 .
 This package provides the tools list_transports and republish.

Package: libcamera-calibration-parsers0t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libcamera-calibration-parsers0d
Replaces:
 libcamera-calibration-parsers0d,
Breaks:
 libcamera-calibration-parsers0d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS camera_calibration_parsers package
 This package is part of Robot OS (ROS). The package provides
 the library with routines for reading and writing camera
 calibration parameters.

Package: libcamera-info-manager-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libcamera-calibration-parsers-dev,
 libcamera-info-manager0t64 (= ${binary:Version}),
 libimage-transport-dev,
 libroscpp-dev,
 libroslib-dev,
 libsensor-msgs-dev,
 ${misc:Depends},
Description: Robot OS camera_info_manager package - development
 This package is part of Robot OS (ROS). It provides C++ header files
 for camera calibration information: CameraInfo, SetCameraInfo service
 requests, saving and restoring the camera calibration data.

Package: libcamera-info-manager0t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libcamera-info-manager0d
Replaces:
 libcamera-info-manager0d,
Breaks:
 libcamera-info-manager0d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS camera_info_manager package
 This package is part of Robot OS (ROS). It provides a C++ interface
 for camera calibration information: CameraInfo, SetCameraInfo service
 requests, saving and restoring the camera calibration data.

Package: libimage-transport-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libimage-transport0t64 (= ${binary:Version}),
 libmessage-filters-dev,
 librosconsole-dev,
 libroscpp-dev,
 libroslib-dev,
 libsensor-msgs-dev,
 pluginlib-dev,
 ${misc:Depends},
Description: Robot OS image_transport package - development
 This package is part of Robot OS (ROS). It contains the C++ header
 files for the image_transport transport library which should always
 be used to subscribe to and publish images. It provides transparent
 support for transporting images in low-bandwidth compressed
 formats. Examples (provided by separate plugin packages) include
 JPEG/PNG compression and Theora streaming video.

Package: libimage-transport0t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libimage-transport0d
Replaces:
 libimage-transport0d,
Breaks:
 libimage-transport0d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS image_transport package
 This package is part of Robot OS (ROS). This library should always be
 used to subscribe to and publish images. It (image_transport)
 provides transparent support for transporting images in low-bandwidth
 compressed formats. Examples (provided by separate plugin packages)
 include JPEG/PNG compression and Theora streaming video.

Package: libpolled-camera-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libimage-transport-dev,
 libpolled-camera0t64 (= ${binary:Version}),
 librosconsole-dev,
 libroscpp-dev,
 libsensor-msgs-dev,
 ros-message-generation,
 ${misc:Depends},
Description: Robot OS polled_camera package - development
 This package is part of Robot OS (ROS). It contains the C++ header
 files for implementing a polled camera driver node and requesting
 images from it. The package is currently for internal use as the API
 is still under development.

Package: libpolled-camera0t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libpolled-camera0d
Replaces:
 libpolled-camera0d,
Breaks:
 libpolled-camera0d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS polled_camera package
 This package is part of Robot OS (ROS). It contains a service and C++
 helper classes for implementing a polled camera driver node and
 requesting images from it. The package is currently for internal use
 as the API is still under development.

Package: polled-camera-tool
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Robot OS polled_camera package tool
 This package is part of Robot OS (ROS). It contains an executable
 implementing a polled camera driver node and to request images from it.
 The package is currently for internal use as the API is still under
 development.

Package: python3-camera-calibration-parsers
Section: python
Architecture: any
Depends:
 python3-sensor-msgs,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Robot OS camera_calibration_parsers Python 3 package
 This package is part of Robot OS (ROS). It provides routines for
 reading and writing camera calibration parameters.
 .
 This package contains the Python 3 wrapper.

Package: python3-polled-camera
Section: python
Architecture: all
Depends:
 python3-genpy,
 python3-std-msgs,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Robot OS polled_camera package - Python 3
 This package is part of Robot OS (ROS). It contains a Python package
 for implementing a polled camera driver node and requesting images
 from it. The package is currently for internal use as the API is
 still under development.
 .
 This package contains the Python 3 modules.

=== debian/watch ===
version=4
opts=\
 filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
 downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
 searchmode=plain \
 https://api.github.com/repos/ros-perception/image_common/git/matching-refs/tags/1 \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
